Open SCAP Library

Enumerations | Functions
cpe_lang.h File Reference
CPE » CPE Language

Interface to Common Platform Enumeration (CPE) Language. More...

`#include <stdlib.h>`
`#include "cpe_name.h"`
`#include "oscap.h"`
`#include "oscap_text.h"`
`#include "oscap_source.h"`

Go to the source code of this file.

## Enumerations
enum | cpe_lang_oper_t { CPE_LANG_OPER_INVALID = 0x00, CPE_LANG_OPER_AND = 0x01, CPE_LANG_OPER_OR = 0x02, CPE_LANG_OPER_MATCH = 0x04, CPE_LANG_OPER_CHECK = 0x08, CPE_LANG_OPER_MASK = 0xFF, CPE_LANG_OPER_NOT = 0x100, CPE_LANG_OPER_NAND = CPE_LANG_OPER_AND | CPE_LANG_OPER_NOT, CPE_LANG_OPER_NOR = CPE_LANG_OPER_OR | CPE_LANG_OPER_NOT }
| CPE language operators. More...

## Functions
bool | cpe_lang_model_set_origin_file (struct cpe_lang_model *lang_model, const char *origin_file)
| Sets the origin file hint. More...
const char * | cpe_lang_model_get_origin_file (const struct cpe_lang_model *lang_model)
| Gets the file the CPE dict model was loaded from.

## Detailed Description

Interface to Common Platform Enumeration (CPE) Language.